MiniBrowser.MiniBrowserPage (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui
Class MiniBrowser.MiniBrowserPage

    java.lang.Object
      com.bbn.openmap.gui.MiniBrowser.MiniBrowserPage

Enclosing class:
  MiniBrowser

    public class MiniBrowser.MiniBrowserPage

extends java.lang.Object

Constructor Summary
`MiniBrowser.MiniBrowserPage(java.lang.String mt, java.lang.String stuff)`
`MiniBrowser.MiniBrowserPage(java.net.URL page)`

Method Summary
`boolean` | `isURL()` public void launchInBrowser() { if (isURL()) { try { browserLauncher = new BrowserLauncher(); browserLauncher.openURLinBrowser(url.toString()); } catch (BrowserLaunchingInitializingException e) { // TODO Auto-generated catch block e.printStackTrace(); } catch (UnsupportedOperatingSystemException e) { // TODO Auto-generated catch block e.printStackTrace(); } } }
`void` | `loadInto(javax.swing.JEditorPane jep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiniBrowser.MiniBrowserPage

    public MiniBrowser.MiniBrowserPage(java.lang.String mt,
                                       java.lang.String stuff)

### MiniBrowser.MiniBrowserPage

    public MiniBrowser.MiniBrowserPage(java.net.URL page)

Method Detail

### loadInto

    public void loadInto(javax.swing.JEditorPane jep)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### isURL

    public boolean isURL()

  public void launchInBrowser() { if (isURL()) { try { browserLauncher = new BrowserLauncher(); browserLauncher.openURLinBrowser(url.toString()); } catch (BrowserLaunchingInitializingException e) { // TODO Auto-generated catch block e.printStackTrace(); } catch (UnsupportedOperatingSystemException e) { // TODO Auto-generated catch block e.printStackTrace(); } } }

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details